import eslint from '@eslint/js';
import tseslint from 'typescript-eslint';
import stylistic from '@stylistic/eslint-plugin';
const tsExtensions = [
    '**/*.ts',
    '**/*.mts',
    '**/*.tsx'
];
const jsExtensions = [
    '**/*.js',
    '**/*.mjs',
    '**/*.jsx'
];
export default tseslint.config(eslint.configs.recommended, ...tseslint.configs.recommended, {
    rules: {
        '@typescript-eslint/no-var-requires': 'off'
    }
}, {
    plugins: {
        '@stylistic': stylistic
    },
    rules: {
        '@stylistic/indent': ['error', 4],
        '@stylistic/no-extra-semi': ['error'],
        '@stylistic/semi': ['error', 'never'],
        '@stylistic/quotes': ['error', 'single']
    },
    files: [
        ...jsExtensions,
        ...tsExtensions
    ]
}, {
    ignores: [
        '**/dist/',
        '**/lib/',
        '**/node_modules',
        'build/',
        '.docusaurus/'
    ],
});
